from pathlib import Path

from setuptools import setup

setup(
    name='py-ktools',
    version='1.0.1',
    # packages=['ktools'],
    install_requires=[
    ],
    extras_require={
        'Django': [
            'Django~=4.2',
            'typing_extensions~=4.4',
            'Unidecode~=1.3.6',
            'rjsmin~=1.2.1',
            'Jinja2==3.1.2',
        ]
    },
    author='László Károlyi',
    author_email='laszlo@karolyi.hu',
    description='Boilerplate tools for python based projects.',
    long_description=Path(__file__).parent.joinpath('README.md').read_text(),
    long_description_content_type='text/markdown',
    keywords='python django boilerplate',
    url='http://gitea.ksol.io/karolyi/py-ktools',
    license='MIT+NIGGER')
