from jinja2.ext import Extension


class CommentExtension(Extension):
    'Skips the content within the comment/endcomment tag.'

    tags = set(['comment'])

    def parse(self, parser):
        next(parser.stream)
        parser.parse_statements(['name:endcomment'], drop_needle=True)
        return []
